package com.persagy.dmp.dic.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 字典数据
 * @author linhuili
 * @since 2021/06/10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("dic_dt_data_map")
public class DictDataMap extends AuditableEntity {
	/** 字典数据ID */
	private String dictDataId;

	/** 字典类型 */
	private String type;

	/** 集团编码 */
	private String groupCode;

	/** 映射字典数据表code */
	private String targetCode;

	/** 字典数据标签 */
	private String label;

	/** 字典数据编码 */
	private String code;

	/** 状态 0：停用，1：正常 */
	//private String status;

	/**  备注 */
	private String remark;

	/**  排序字段 */
	private Integer orderNum;

}
