package com.persagy.dmp.dic.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 字典数据
 * @author linhuili
 * @since 2021/06/10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("dic_dt_data")
public class DictData extends AuditableEntity {
	/** 字典类型ID */
	private String dictTypeId;

	/** 父节点 */
	private String parentId;

	/** 字典类型 */
	private String type;

	/** 字典数据编码 */
	private String code;

	/** 字典数据标签 */
	private String label;

	/** 状态 0：停用，1：正常 */
	//private String status;

	/**  备注 */
	private String remark;

	/**  排序字段 */
	private Integer orderNum;

}
